### Class

# Dex Timeout

#### Description [src]

    final class Dex.Timeout : GObject.TypeInstance
    {
      /* No available fields */
    }

`DexTimeout` is a `DexFuture` that will reject after the configured period of time.

#### Hierarchy

#### Ancestors

- DexFuture
- DexObject

#### Constructors

###### dex_timeout_new_deadline

Creates a new timeout that will reject at a deadline.

###### dex_timeout_new_msec

Create a new timeout that will reject in `msec` milliseconds.

###### dex_timeout_new_seconds

Create a new timeout that will reject in `seconds` seconds.

###### dex_timeout_new_usec

Create a new timeout that will reject in `usec` microseconds.

#### Instance methods

###### dex_timeout_postpone_until

Postpoone `timeout` to complete at `deadline` in the monotonic clock. See `g_get_monotonic_clock()` for getting the monotonic clock in microseconds.

##### Methods inherited from DexFuture (24)

Please see DexFuture for a full list of methods.

##### Methods inherited from DexObject (2)

###### dex_ref

Acquires a reference on the given object, and increases its reference count by one.

###### dex_unref

Releases a reference on the given object, and decreases its reference count by one.